.\"
.\" $FreeBSD: src/share/man/man4/bridge.4,v 1.1.2.2 1999/09/05 11:26:56 peter Exp $
.\"
.Dd Sep 28, 1998
.Dt BRIDGE 4
.Os
.Sh NAME
.Nm bridge
.Nd Bridging support
.Sh DESCRIPTION
Starting from version 2.2.8, FreeBSD supports bridging on ethernet-type
interfaces. This is achieved using the following option
.Bd -literal
    options BRIDGE
.Ed

in the kernel config file, and is controlled by two
.Nm sysctl
variables:
.Bd -literal
    net.link.ether.bridge
.Ed

Set to 1 to enable bridging, set to 0 to disable it
.Bd -literal
    net.link.ether.bridge_ipfw
.Ed

Set to 1 to enable
.Nm ipfw
filtering on bridged packets.

.Sh BUGS
.Pp
Care must be taken not to construct loops in the bridge topology.
The kernel supports only a primitive form of loop detection, by disabling
some interfaces when a loop is detected. No support for a daemon running the
spanning tree algorithm is currently provided.
.Pp
With bridging active, interfaces are in promiscuous mode,
thus causing some load on the system to receive and filter
out undesired traffic.
.Pp
Extended functionality to enable bridging selectively on clusters
of interfaces is still in the works.
.Pp
Not all interface support bridging -- at the moment it only works for
``ed'', ``de'', ``fxp'', ``lnc'' interfaces.
.Sh SEE ALSO
.Xr ip 4 ,
.Xr ipfw 8 ,
.Xr sysctl 8 .
.Sh HISTORY
.Nm
bridging has been introduced in FreeBSD 2.2.8
by Luigi Rizzo <luigi@iet.unipi.it>.
